package com.yihu.wlyy.entity.discussion;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.wlyy.entity.IdEntity;

@Entity
@Table(name = "wlyy_talk_group")
public class WlyyTalkGroup  extends IdEntity {
    // 讨论组标识
	private String code;
	// 讨论组名称
	private String name;
	// 讨论组类别 1:咨询 2:求助 3：干预
	private Integer type;
	// 讨论组针对病人
	private String patient;
	// 讨论组针对病人姓名
	private String patientName;
	// 对应咨询标识
	private String consultCode;
	// 医院标识
	private String hospitalCode;
	// 医院名称
	private String hospitalName;
	// 创建者
	private String creator;
	// 创建者姓名
	private String creatorName;
	// 更新时间
	private Date czrq;
	
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	
	public Integer getType() {
		return type;
	}
	public void setType(Integer type) {
		this.type = type;
	}
	
	public String getPatient() {
		return patient;
	}
	public void setPatient(String patient) {
		this.patient = patient;
	}
	
	public String getPatientName() {
		return patientName;
	}
	public void setPatientName(String patientName) {
		this.patientName = patientName;
	}
	
	public String getConsultCode() {
		return consultCode;
	}
	public void setConsultCode(String consultCode) {
		this.consultCode = consultCode;
	}

	
	public String getHospitalCode() {
		return hospitalCode;
	}
	public void setHospitalCode(String hospitalCode) {
		this.hospitalCode = hospitalCode;
	}
	
	public String getHospitalName() {
		return hospitalName;
	}
	public void setHospitalName(String hospitalName) {
		this.hospitalName = hospitalName;
	}
	
	public String getCreator() {
		return creator;
	}
	public void setCreator(String creator) {
		this.creator = creator;
	}
	
	public String getCreatorName() {
		return creatorName;
	}
	public void setCreatorName(String creatorName) {
		this.creatorName = creatorName;
	}
	
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	public Date getCzrq() {
		return czrq;
	}
	public void setCzrq(Date czrq) {
		this.czrq = czrq;
	}
	
}
